﻿namespace ClientServer.Helpers
{
    /// <summary>
    /// a basic response with a message an a was valid flag
    /// </summary>
    public class BasicResponse
    {
        /// <summary>
        /// true: operation was successful, false: not
        /// </summary>
        public ResponseCode Code { get; set; }
        /// <summary>
        /// the message for the client
        /// </summary>
        public string Message { get; set; }

        public BasicResponse()
        {
            
        }

        public BasicResponse(ResponseCode responseCode, string message)
        {
            Code = responseCode;
            Message = message;
        }
    }


}
