﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace ClientServer.Migrations
{
    public partial class TestServerTimingsLog : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "TimingsProtocol",
                table: "TestWithSingleSolutionAsTestResult",
                maxLength: 80000,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "TimingsProtocol",
                table: "TestWithAfterSolutionAsTestResults",
                maxLength: 80000,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "TimingsProtocol",
                table: "CustomTestWithSingleSolutionAsTestResult",
                maxLength: 80000,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "TimingsProtocol",
                table: "CustomTestWithAfterSolutionAsTestResults",
                maxLength: 80000,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "TimingsProtocol",
                table: "CustomProjectTestWithSolutionAsTestResults",
                maxLength: 80000,
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "TimingsProtocol",
                table: "TestWithSingleSolutionAsTestResult");

            migrationBuilder.DropColumn(
                name: "TimingsProtocol",
                table: "TestWithAfterSolutionAsTestResults");

            migrationBuilder.DropColumn(
                name: "TimingsProtocol",
                table: "CustomTestWithSingleSolutionAsTestResult");

            migrationBuilder.DropColumn(
                name: "TimingsProtocol",
                table: "CustomTestWithAfterSolutionAsTestResults");

            migrationBuilder.DropColumn(
                name: "TimingsProtocol",
                table: "CustomProjectTestWithSolutionAsTestResults");
        }
    }
}
