﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace ClientServer.Migrations
{
    public partial class TestAchievedPoints : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "Weight",
                table: "Tests",
                newName: "MaxPoints");

            migrationBuilder.AddColumn<int>(
                name: "Points",
                table: "TestWithSingleSolutionAsTestResult",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "Points",
                table: "TestWithAfterSolutionAsTestResults",
                nullable: true);
            
            migrationBuilder.AddColumn<int>(
                name: "Points",
                table: "CustomTestWithSingleSolutionAsTestResult",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "Points",
                table: "CustomTestWithAfterSolutionAsTestResults",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "Points",
                table: "CustomProjectTestWithSolutionAsTestResults",
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Points",
                table: "TestWithSingleSolutionAsTestResult");

            migrationBuilder.DropColumn(
                name: "Points",
                table: "TestWithAfterSolutionAsTestResults");
            

            migrationBuilder.DropColumn(
                name: "Points",
                table: "CustomTestWithSingleSolutionAsTestResult");

            migrationBuilder.DropColumn(
                name: "Points",
                table: "CustomTestWithAfterSolutionAsTestResults");

            migrationBuilder.DropColumn(
                name: "Points",
                table: "CustomProjectTestWithSolutionAsTestResults");

            migrationBuilder.RenameColumn(
                name: "MaxPoints",
                table: "Tests",
                newName: "Weight");
        }
    }
}
