﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace ClientServer.Migrations
{
    public partial class increaseFileContentLimit : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<string>(
                name: "Content",
                table: "TemplateFiles",
                maxLength: 80000,
                nullable: true,
                oldClrType: typeof(string),
                oldType: "character varying(70000)",
                oldMaxLength: 70000,
                oldNullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Content",
                table: "SolutionFiles",
                maxLength: 80000,
                nullable: true,
                oldClrType: typeof(string),
                oldType: "character varying(70000)",
                oldMaxLength: 70000,
                oldNullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Content",
                table: "CustomProjectSolutionFiles",
                maxLength: 80000,
                nullable: true,
                oldClrType: typeof(string),
                oldType: "character varying(70000)",
                oldMaxLength: 70000,
                oldNullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Content",
                table: "AfterSolutionFiles",
                maxLength: 80000,
                nullable: true,
                oldClrType: typeof(string),
                oldType: "character varying(70000)",
                oldMaxLength: 70000,
                oldNullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<string>(
                name: "Content",
                table: "TemplateFiles",
                type: "character varying(70000)",
                maxLength: 70000,
                nullable: true,
                oldClrType: typeof(string),
                oldMaxLength: 80000,
                oldNullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Content",
                table: "SolutionFiles",
                type: "character varying(70000)",
                maxLength: 70000,
                nullable: true,
                oldClrType: typeof(string),
                oldMaxLength: 80000,
                oldNullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Content",
                table: "CustomProjectSolutionFiles",
                type: "character varying(70000)",
                maxLength: 70000,
                nullable: true,
                oldClrType: typeof(string),
                oldMaxLength: 80000,
                oldNullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Content",
                table: "AfterSolutionFiles",
                type: "character varying(70000)",
                maxLength: 70000,
                nullable: true,
                oldClrType: typeof(string),
                oldMaxLength: 80000,
                oldNullable: true);
        }
    }
}
