﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ClientServer.Helpers
{
    /// <summary>
    /// a basic response with data
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class BasicResponseWithData<T> : BasicResponse
    {
        /// <summary>
        /// the data to send back
        /// </summary>
        public T Data { get; set; }

        public BasicResponseWithData(ResponseCode responseCode, string message, T data) : base(responseCode, message)
        {
            Data = data;
        }

    }
}
