﻿using System.ComponentModel.DataAnnotations;
using ClientServer.Db;
using ClientServer.Models.Files;

namespace ClientServer.Models.Exercises
{
    /// <summary>
    /// a join table to connect <see cref="ExerciseDescription"/> and <see cref="FileReferenceMarkdownAsset"/>
    /// </summary>
    public class ExerciseDescriptionWithFileAsAssetReference
    {
        public int ExerciseDescriptionId { get; set; }
        public ExerciseDescription ExerciseDescription { get; set; }


        public int FileReferenceMarkdownAssetId { get; set; }
        public FileReferenceMarkdownAsset FileReferenceMarkdownAsset { get; set; }
    }
}
